---
  - name: Configure INI for ODBC driver in /etc/odbcinst.ini
    ini_file:
      dest: "/etc/odbcinst.ini"
      section: '{{ ODBC_DRIVER_NAME }}'
      create: true
      option: "{{ item.option }}"
      value: "{{ item.value }}"
    with_items:
      - {option: "Description", value: "MariaDB Connector/ODBC(Unicode)"}
      - {option: "Driver", value: "/usr/lib/libmaodbc.so"}
      - {option: "UsageCount", value: "1"}

  - name: Configure INI for ODBC Asterisk connection in /etc/odbc.ini
    ini_file:
      dest: "/etc/odbc.ini"
      section: '{{ ODBC_CONNECTOR_NAME }}'
      create: true
      option: "{{ item.option }}"
      value: "{{ item.value }}"
    with_items:
      - {option: "Description", value: "MySQL connection"}
      - {option: "Driver", value: '{{ ODBC_DRIVER_NAME }}'}
      - {option: "Database", value: '{{ DB_NAME }}'}
      - {option: "Server", value: '{{ DB_SERVER }}'}
      # - {option: "USER", value: '{{ DB_USER }}'}
      # - {option: "PASSWORD", value: '{{ DB_PASS }}'}
      - {option: "Port", value: '{{ DB_PORT }}'}
      # - {option: "UserName", value: "root"}
      # - {option: "Password", value: "root"}
      # - {option: "Socket", value: "/var/lib/mysql/mysql.sock"}

  - name: Configure ODBC in {{ ODBC_DSN_CONFIG_PATH }}
    ini_file:
      dest: '{{ ODBC_DSN_CONFIG_PATH }}'
      section: '{{ ODBC_CONNECTOR_NAME }}'
      option: "{{ item.option }}"
      value: "{{ item.value }}"
    with_items:
      - {option: "enabled", value: "yes"}
      - {option: "dsn", value: '{{ ODBC_CONNECTOR_NAME }}'}
      - {option: "username", value: '{{ DB_USER }}'}
      - {option: "password", value: '{{ DB_PASS }}'}
      - {option: "max_connections", value: '{{ ODBC_DSN_MAX_CONNECTIONS }}'}
      - {option: "pre-connect", value: '{{ ODBC_DSN_PRECONNECT }}'}